global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
logIngest:
  enabled: false
metrics:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: metrics
    tag: snapshot-77d0a9c
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8009
    protocol: TCP
  resources:
    requests:
      cpu: '0.1'
      memory: 64Mi
    limits:
      cpu: '0.2'
      memory: 128Mi
  probes:
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8009
        initialDelaySeconds: 30
        periodSeconds: 10
        timeoutSeconds: 10
        successThreshold: 1
        failureThreshold: 5
        terminationGracePeriodSeconds: 30
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8009
        initialDelaySeconds: 30
        periodSeconds: 10
        timeoutSeconds: 10
        successThreshold: 1
        failureThreshold: 5
  services:
  - name: metrics-service
    type: ClusterIP
    port: 8009
    targetPort: 8009
  configs:
    starrocksHost: freeleaps-starrocks-cluster-fe-service.freeleaps-data-platform.svc
    starrocksPort: 9030
    starrocksUser: freeleaps_dw_admin
    starrocksPassword: r7Y@QTb*7BQN@hDGsN
    starrocksDatabase: freeleaps
    prometheusEndpoint: http://kube-prometheus-stack-prometheus.freeleaps-monitoring-system:9090
  vpa:
    minAllowed:
      enabled: false
      cpu: 100m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
